Bug 20052 - Add Reports object class
Summary: Add Reports object class
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 15449
Blocks: 20495
  Show dependency treegraph
 
Reported: 2018-01-20 20:40 UTC by Nick Clemens
Modified: 2018-05-14 14:31 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20052 - Add Koha Reports object class (4.98 KB, patch)
2018-01-20 20:42 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 20052 - Add Koha Reports object class (5.03 KB, patch)
2018-01-23 14:51 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 20052 - Add Koha Reports object class (5.08 KB, patch)
2018-03-02 21:15 UTC, Maksim Sen
Details | Diff | Splinter Review
Bug 20052: (follow-up) Fix QA tool complaints and bad copy (1.49 KB, patch)
2018-03-29 13:04 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 20052: Add Koha Reports object class (5.14 KB, patch)
2018-03-30 09:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20052: (follow-up) Fix QA tool complaints and bad copy (1.54 KB, patch)
2018-03-30 09:05 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-01-20 20:40:41 UTC

    
Comment 1 Nick Clemens 2018-01-20 20:42:20 UTC
Created attachment 70784 [details] [review]
Bug 20052 - Add Koha Reports object class

To test:
prove -v t/db_dependent/Koha/Reports.t
Comment 2 Claire Gravely 2018-01-23 14:51:51 UTC
Created attachment 70845 [details] [review]
Bug 20052 - Add Koha Reports object class

To test:
prove -v t/db_dependent/Koha/Reports.t

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Maksim Sen 2018-03-02 21:15:13 UTC
Created attachment 72386 [details] [review]
Bug 20052 - Add Koha Reports object class

To test:
prove -v t/db_dependent/Koha/Reports.t

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Signed-off-by: Maksim Sen <maksim.sen@inlibro.com>
Comment 4 Katrin Fischer 2018-03-25 15:59:04 UTC
Comment on attachment 72386 [details] [review]
Bug 20052 - Add Koha Reports object class

Review of attachment 72386 [details] [review]:
-----------------------------------------------------------------

Hi Nick,

Is this base work for a new feature?

there are some issues with POD here:
1)
 FAIL	Koha/Report.pm
   OK	  critic
   OK	  forbidden patterns
   OK	  git manipulation
   OK	  pod
   FAIL	  pod coverage
		POD coverage was greater before, try perl -MPod::Coverage=PackageName -e666
   OK	  spelling
   OK	  valid

 FAIL	Koha/Reports.pm
   OK	  critic
   OK	  forbidden patterns
   OK	  git manipulation
   OK	  pod
   FAIL	  pod coverage
		POD is missing for 'object_class'
   OK	  spelling
   OK	  valid

::: t/db_dependent/Koha/Reports.t
@@ +1,3 @@
> +#!/usr/bin/perl
> +
> +# Copyright 2015 Koha Development team

2) Should we lose this line here on a new file?
Comment 5 Nick Clemens 2018-03-29 13:04:14 UTC
Created attachment 73422 [details] [review]
Bug 20052: (follow-up) Fix QA tool complaints and bad copy
Comment 6 Nick Clemens 2018-03-29 13:13:43 UTC
(In reply to Katrin Fischer from comment #4)
> Is this base work for a new feature?

Yes, was looking towards refactoring C4/Reports/Guided.pm to eliminate some function (get_saved_report, get_saved_reports, etc.)
Comment 7 Katrin Fischer 2018-03-30 08:58:34 UTC
Hey Nick, please remember, it's Bug XXXX: in the commit message ;)
Comment 8 Katrin Fischer 2018-03-30 09:02:56 UTC
Created attachment 73455 [details] [review]
Bug 20052: Add Koha Reports object class

To test:
prove -v t/db_dependent/Koha/Reports.t

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Signed-off-by: Maksim Sen <maksim.sen@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2018-03-30 09:05:26 UTC
Created attachment 73456 [details] [review]
Bug 20052: (follow-up) Fix QA tool complaints and bad copy

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Jonathan Druart 2018-04-02 21:15:03 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 11 Nick Clemens 2018-05-14 14:31:44 UTC
Enhancement, not backporting to 17.11.x